## org.omg.CORBA
Class ExceptionTypeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ExceptionTypeHelper

public class ExceptionTypeHelper
extends java.lang.Object

Helper class for : ExceptionType

Author:
  OpenORB Compiler

Constructor Summary
`ExceptionTypeHelper()`

Method Summary
`static ExceptionType` `extract(Any a)` Extract ExceptionType from an any
`static java.lang.String` `id()` Return the ExceptionType IDL ID
`static void` `insert(Any a, ExceptionType t)` Insert ExceptionType into an any
`static ExceptionType` `read(InputStream istream)` Read ExceptionType from a marshalled stream
`static TypeCode` `type()` Return the ExceptionType TypeCode
`static void` `write(OutputStream ostream, ExceptionType value)` Write ExceptionType into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionTypeHelper

    public ExceptionTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ExceptionType t)

  Insert ExceptionType into an any
  Parameters:
    `a` - an any
    `t` - ExceptionType value

### extract

    public static ExceptionType extract(Any a)

  Extract ExceptionType from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ExceptionType value

### type

    public static TypeCode type()

  Return the ExceptionType TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ExceptionType IDL ID
  Returns:
    an ID

### read

    public static ExceptionType read(InputStream istream)

  Read ExceptionType from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ExceptionType value

### write

    public static void write(OutputStream ostream,
                             ExceptionType value)

  Write ExceptionType into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ExceptionType value